## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::BorrowReturnNodeSorter Class Reference

`#include <StylesheetExecutionContext.hpp>`

Collaboration diagram for StylesheetExecutionContext::BorrowReturnNodeSorter:

List of all members.

## Public Methods

- BorrowReturnNodeSorter (StylesheetExecutionContext& executionContext)
- ~BorrowReturnNodeSorter ()
- NodeSorter& operator * () const
- NodeSorter* get () const
- NodeSorter* operator- > () const

## Constructor & Destructor Documentation

StylesheetExecutionContext::BorrowReturnNodeSorter::BorrowReturnNodeSorter ( | StylesheetExecutionContext & executionContext )

StylesheetExecutionContext::BorrowReturnNodeSorter::~BorrowReturnNodeSorter ( | )`[]`

## Member Function Documentation

NodeSorter * StylesheetExecutionContext::BorrowReturnNodeSorter::get ( | ) const`[]`

NodeSorter & StylesheetExecutionContext::BorrowReturnNodeSorter::operator * ( | ) const`[]`

NodeSorter * StylesheetExecutionContext::BorrowReturnNodeSorter::operator- > ( | ) const`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.